Bug 1303357 - [abrt] nautilus: gtk_css_gadget_get_visible(): nautilus killed by SIGSEGV
[abrt] nautilus: gtk_css_gadget_get_visible(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:45df4b06fb267ced212c1c1d1c4...
:
: 1327305 1327837 1330250 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 05:49 EST by Vít Ondruch
Modified: 2017-08-08 08:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:43:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.01 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: cgroup (263 bytes, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: core_backtrace (23.32 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: dso_list (13.52 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: environ (703 bytes, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: exploitable (95 bytes, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: maps (63.88 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: mountinfo (5.58 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: open_fds (2.59 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details
File: var_log_messages (313 bytes, text/plain)
2016-01-31 05:49 EST, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2016-01-31 05:49:16 EST
Description of problem:
Trying to access USB drive.

Version-Release number of selected component:
nautilus-3.19.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_css_gadget_get_visible
executable:     /usr/bin/nautilus
global_pid:     16847
kernel:         4.4.0-1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            16025

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_css_gadget_get_visible at gtkcssgadget.c:349
 #1 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:521
 #2 gtk_box_get_preferred_width at gtkbox.c:1708
 #3 gtk_widget_query_size_for_orientation at gtksizerequest.c:181
 #4 gtk_widget_compute_size_for_orientation at gtksizerequest.c:391
 #5 gtk_widget_get_preferred_width at gtksizerequest.c:484
 #6 gtk_box_get_size at gtkbox.c:1594
 #7 gtk_box_get_content_size at gtkbox.c:2053
 #8 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #9 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:559
Comment 1 Vít Ondruch 2016-01-31 05:49:21 EST
Created attachment 1119789 [details]
File: backtrace
Comment 2 Vít Ondruch 2016-01-31 05:49:23 EST
Created attachment 1119790 [details]
File: cgroup
Comment 3 Vít Ondruch 2016-01-31 05:49:25 EST
Created attachment 1119791 [details]
File: core_backtrace
Comment 4 Vít Ondruch 2016-01-31 05:49:32 EST
Created attachment 1119792 [details]
File: dso_list
Comment 5 Vít Ondruch 2016-01-31 05:49:33 EST
Created attachment 1119793 [details]
File: environ
Comment 6 Vít Ondruch 2016-01-31 05:49:35 EST
Created attachment 1119794 [details]
File: exploitable
Comment 7 Vít Ondruch 2016-01-31 05:49:36 EST
Created attachment 1119795 [details]
File: limits
Comment 8 Vít Ondruch 2016-01-31 05:49:39 EST
Created attachment 1119796 [details]
File: maps
Comment 9 Vít Ondruch 2016-01-31 05:49:40 EST
Created attachment 1119797 [details]
File: mountinfo
Comment 10 Vít Ondruch 2016-01-31 05:49:42 EST
Created attachment 1119798 [details]
File: open_fds
Comment 11 Vít Ondruch 2016-01-31 05:49:43 EST
Created attachment 1119799 [details]
File: proc_pid_status
Comment 12 Vít Ondruch 2016-01-31 05:49:45 EST
Created attachment 1119800 [details]
File: var_log_messages
Comment 13 Marek Doležel 2016-02-03 19:37:59 EST
Same problem here when i did following.

1. open nautilus
2. double click on iso file
3. nothing crashes
4. click on other locations
5. click on mounted iso on the list
6. crash
Comment 14 Jan Kurik 2016-02-24 09:22:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Giulio 'juliuxpigface' 2016-03-22 17:04:52 EDT
Similar problem has been detected:

1. Launch Fedora 24 (1.6 Alpha), installed on qemu-kvm
2. Open Nautilus
3. Try to access the a mounted CD-ROM

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_css_gadget_get_visible
executable:     /usr/bin/nautilus
global_pid:     2209
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        nautilus-3.19.90-1.fc24
reason:         nautilus killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 16 Neeraj Pal 2016-04-14 13:50:52 EDT
*** Bug 1327305 has been marked as a duplicate of this bug. ***
Comment 17 2284577490 2016-04-16 14:12:30 EDT
*** Bug 1327837 has been marked as a duplicate of this bug. ***
Comment 18 Dmitry Ryabtsev 2016-04-25 13:57:53 EDT
*** Bug 1330250 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2017-07-25 15:52:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2017-08-08 08:43:37 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.